@echo off
REM *** Configure the Agent **************************************************
REM DNS-Name or IP of the Zabbix-Server or Zabbix Proxy, separate more than one server with ,
Set ZABBIXSERVER=zabbix.example.local
REM the same before, only for active checks. If Empty, ZABBIXSERVER will be used
Set ZABBIXSERVERACTIVE=
REM Port of Zabbix Server, Default = 10051
Set ZABBIXSERVERPORT=10051
REM Hostname to use
REM Set ZABBIXHOSTNAME=%COMPUTERNAME%
REM Next Line works also with Hostnames longer than 15 Chars
For /f %%i in ('hostname') do Set ZABBIXHOSTNAME=%%i
REM Set next Entry to YES or NO. YES = add Computerdomain like .domain.local to Hostname
Set USEDOMAINSUFFIX=YES
REM If the Computer is in no domain, or the domain can not be determined, use the following suffix
Set FALLBACKDOMAIN=example.local
REM Zabbix Host ListenPort, Default = 10050 **********************************
Set ZABBIXHOSTLISTENPORT=10050
REM HostMetadata for Autodiscovery *******************************************
REM Set a REM in front of the line if you did not use
REM Only use at Version 2.2 or higher, not for 2.0.x
Set ZABBIXHOSTMETADATA=WindowsServer
REM ## Try some alternativ Tests for different Metadata **********************
REM Set METADATATEST to YES if you want the following additional Tests
Set METADATATEST=NO
REM Alternativ Metadata if if this Server is a Citrix Terminalserver with XenApp 6.x or 7.x
Set ZABBIXHOSTMETADATACITRIX=CitrixServer
REM Alternativ Metadata if this Server is an Active Directory Domain Controller
Set ZABBIXHOSTMETADATADC=DomainController
REM Alternativ Metadata if this Server is an Exchange Mail Server
Set ZABBIXHOSTMETADATAEXCHANGE=ExchangeServer
REM Alternativ Metadata if this Server is an Microsoft SQL Server
Set ZABBIXHOSTMETADATAMSSQL=MSSQLServer
REM *************************************************************************
REM Name of Config-File - Default zabbix_agentd.win.conf
Set ZABBIXHOSTCONFIGFILE=zabbix_agentd.win.conf
REM CleanUp Directory before Installing - delete ALL Files in the Installation
REM Directory before installing new Version
Set ZABBIXCLEANUP=YES
REM Unregister "Zabbix Agent" Service - set to "NO" if you use some Hosts where Zabbix Agent is running
REM as an Windows User instead of SYSTEM (Changed some Host manually)
Set ZABBIXUNREGISTERSERVICE=YES
REM ***********************************************************
REM **                                                       **
REM **   Next Lines are for the ZabbixAutoUpdater only       **
REM **   http://znil.net/index.php?title=Agent_Auto_Updater  **
REM **                                                       **
REM ***********************************************************
REM Use ZabbixAutoUpdater? YES or NO
Set ZABBIXAGENTUPDATER=YES
REM Set Path to the Agent-Files in Network and to the Installation-Script or Program
Set UPDATEFILESHARE=\\10.20.30.40\Zabbix-Agent$\3.4.1\UpdateCheck
Set UPDATEINSTALLER=\\10.20.30.40\Zabbix-Agent$\3.4.1\InstallZabbixAgent.bat
REM Update Frequency in Minutes
Set UPDATEFREQUENCY=120
REM Set Username and Password for Update-Task. Use DOMAIN\Username or Username@domain.local
REM Thsi will not work with Password with an %. Use if possible a long Passwort with chars and Numbers
REM Or you can run the job as SYSTEM. SYSTEM need no Password. But SYSTEM need anonymous access to the Network-Share
Set UPDATEUSER=SYSTEM
Set UPDATEPASSWORD=
REM Set UPDATEUSER=DOMAIN\Administrator
REM Set UPDATEPASSWORD=passw0rd
